# Use these slightly expanded boundaries to make the bank
bank: &bankdefaults
  m1: [0.12, 10.0]
  m2: [0.12, 1.0]
  M: [0., 100.]
  mc: [0., 100.]
  q: [1.0, 11.0]
  chi: [-0.99, 0.99]
  ns-mass: [0.0, 0.01]
  ns-s1z: [-0.99, 0.99]
  post-constraints:
    m1: [0.19, 10.0]
    m2: [0.19, 1.0]
    M: [0, 100]
    mc: [0.162, 100]
    q: [1.0, 10.1]
    chi: [-0.91, 0.91]
    ns-mass: [0.0, 0.47]
    ns-s1z: [-0.13, 0.13]
  freq: [45, 1024]
  max-duration: 128
  aspect-ratios: [1., 1., 8.]
  psd-xml: H1L1-GSTLAL_MEDIAN_PSD-1387843218-604800.xml.gz
  instrument: L1
  mm: 0.035
  reuse-g-mm: 0.10
  max-num-templates: 1
  min-coord-vol: 0.0001
  min-depth: 7
  approximant: IMRPhenomD
  output-h5: 
  seedbank:
  trim: true
  verbose: true
  method: "numeric"
  jump_method: ellipsoid
  boundary-fine-grain: false
  boundary-fine-grain-threshold: 0.0001
  boundary-fine-grain-target-mismatch: 0.7
  boundary-fine-grain-n-points: 200
  boundary-fine-grain-max-splits: 10
  boundary-fine-grain-object-symmetric: false
  boundary-fine-grain-sharpness: 10.0
  track-excluded: true

seedbank:
  << : *bankdefaults
  max-num-templates: 1000
  output-h5: &seedbankname H1L1V1-O4_SSMOFFLINE_BANK_SEED-0-2000000000.h5
  min-depth: 11
  boundary-fine-grain: false
  #size-type: 'coordinate'
  post-constraints:

group:
  bank: *seedbankname
  out-dir: seeds
  ifo: H1L1V1
  tag: O4_SSMOFFLINE_BANK_SEED
  start: 0
  dur: 2000000000

patches:
  out-dir: patches

add:
  output-h5: &unconstrainedname H1L1V1-O4_SSMOFFLINE_BANK_UNCONSTRAINED-0-2000000000.h5

# use these slightly smaller boundaries to test the bank
constrain:
  m1: [0.2, 10.]
  m2: [0.2,1.]
  mc: [0.174, 2.4645]
  q: [1., 10.]
  M: [0.4, 11.]
  chi: [-0.9, 0.9]
  ns-mass: [0.2, 0.5]
  ns-s1z: [-0.1, 0.1]
  output-h5: &finalname H1L1V1-O4_SSMOFFLINE_BANK-0-2000000000.h5
  bank: *unconstrainedname
  assign-ids: true

test:
  bank: *finalname
  num-jobs: 500
  num-injections: 20
  out-dir: test

test-add:
  tests:
  output-h5: &testfinalname test.h5

test-plot:
  test: *testfinalname
  out-dir: plots

mass_model:
    model: uniform
    m_min: 0.1
